View Issue Details

IDProjectCategoryView StatusLast Update
0000491bareos-core[All Projects] directorpublic2016-03-30 16:45
ReporterRoyKAssigned Tojoergs 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformallOSallOS Versionall
Product Version14.2.2 
Target VersionFixed in Version 
Summary0000491: bareos-dir dies on reload if config has typos
DescriptionIf the configuration isn't 100% correct, the director dies after doing a reload, terminating all running jobs on its way. This really makes no sense, since the director already has a test mode to parse the configuration and check for errors. The director should use this test on reload and check its configuration prior to initiating the full reload
Steps To ReproduceGarble the configuration a bit
Run bconsole and then reload
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionwill care
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impactyes
bareos-15.2: actionwill care
bareos-14.2: impactyes
bareos-14.2: actionnone
bareos-13.2: impactyes
bareos-13.2: actionnone
bareos-12.4: impactyes
bareos-12.4: actionnone

Relationships

related to 0000637 closed director crash on config reload 

Activities

RoyK

RoyK

2015-06-21 01:03

reporter   ~0001773

Sorry, mate, but this isn't a minor. If you have a large backup server and it dies during a bunch of backups and wastes a ton of tape space, that's actually a major.
mvwieringen

mvwieringen

2015-10-16 19:47

developer   ~0001881

Fix committed to bareos master branch with changesetid 5702.

Related Changesets

bareos: master 3b5169b5

2015-10-07 17:31:36

joergs


Committer: mvwieringen

Ported: N/A

Details Diff
cleanup reload_config command

reload config command is callable as signal handler for SIGHUP
and by the bconsole reload command.

Make sure, that the SIGHUP handler is only called once.

Do not terminate the director in case of config errors.

Fixes 0000491: bareos-dir dies on reload if config has typos
Fixes 0000503: Config reload leads to director crash if a duplicate resource named is present
Affected Issues
0000491, 0000503
mod - src/console/console_conf.c Diff File
mod - src/dird/dird.c Diff File
mod - src/dird/dird_conf.c Diff File
mod - src/dird/ua_cmds.c Diff File
mod - src/filed/filed_conf.c Diff File
mod - src/lib/parse_conf.c Diff File
mod - src/lib/parse_conf.h Diff File
mod - src/qt-console/bat_conf.cpp Diff File
mod - src/qt-tray-monitor/tray_conf.cpp Diff File
mod - src/stored/stored_conf.c Diff File

Issue History

Date Modified Username Field Change
2015-06-20 09:32 RoyK New Issue
2015-06-20 23:13 mvwieringen Severity major => minor
2015-06-21 01:03 RoyK Note Added: 0001773
2015-10-07 18:49 joergs Assigned To => joergs
2015-10-07 18:49 joergs Status new => assigned
2015-10-07 18:49 joergs bareos-master: impact => yes
2015-10-07 18:49 joergs bareos-master: action => will care
2015-10-07 18:49 joergs bareos-15.2: impact => yes
2015-10-07 18:49 joergs bareos-15.2: action => will care
2015-10-07 18:49 joergs bareos-14.2: impact => yes
2015-10-07 18:49 joergs bareos-14.2: action => none
2015-10-07 18:49 joergs bareos-13.2: impact => yes
2015-10-07 18:49 joergs bareos-13.2: action => none
2015-10-07 18:49 joergs bareos-12.4: impact => yes
2015-10-07 18:49 joergs bareos-12.4: action => none
2015-10-16 19:47 mvwieringen Changeset attached => bareos master 3b5169b5
2015-10-16 19:47 mvwieringen Note Added: 0001881
2015-10-16 19:47 mvwieringen Status assigned => resolved
2015-10-16 19:47 mvwieringen Resolution open => fixed
2016-03-30 16:45 mvwieringen Relationship added related to 0000637